import random

def generate():
	l = []
	for frame in xrange(9):
		t = random.randint(0, 10)
		if t == 10: l.append('X')
		else:
			t2 = random.randint(0, 10 - t)
			l.append(str(t))
			if t + t2 == 10: l.append('/')
			else: l.append(str(t2))
	# 10th frame
	t = random.randint(0, 10)
	if t == 10:
		l.append('X')
		m = 10
	else:
		l.append(str(t))
		m = 10 - t
	t2 = random.randint(0, m)
	if t == 10 and t2 == 10:
		l.append('X')
		m = 10
	elif t != 10 and t + t2 == 10:
		l.append('/')
		m = 10
	else:
		l.append(str(t2))
		m = 10 - t2
	t3 = random.randint(0, m)
	if t + t2 < 10: pass
	elif t2 == 10 and t3 == 10:
		l.append('X')
	elif t == 10 and t3 == 10:
		l.append('/')
	elif t + t2 == 10 and t3 == 10:
		l.append('X')
	else:
		l.append(str(t3))
	return ' '.join(l)
N = 1000
print N
for i in xrange(N):
	print generate()
